<ng-container
    *ngIf="{
        lecturerExercises: (lecturerExercises$ | async),
        studentExercises: (studentExercises$ | async),
        user: (user$ | async)
    } as local"
>
    <div
        class="home"
    >
        <ui-header
            [title]="'home.title' | translate"
            [userButtonImgSrc]="local.user ? local.user.userpictureurl:null"
            (userButtonIsClicked)="navigateToSettingsAndSupport()"
        ></ui-header>
        <ng-container *ngIf="local.lecturerExercises">
            <h2 *ngIf="local.lecturerExercises.length > 0">
                {{'home.teacher' | translate}}
            </h2>        
        </ng-container>
        <ng-container
            *ngFor="let lecturerExercise of local.lecturerExercises"
        >
            <ui-divider
                [topInfoText]="('home.submission-until'|translate) + ((lecturerExercise.duedate*1000)  | date: 'dd.MM.yyyy') + ('home.submission-at'|translate) + ((lecturerExercise.duedate*1000)  | date: 'hh:mm') + ('home.submission-clock'|translate)"
                [centerInfoText]="lecturerExercise.name"
                [bottomInfoText]="lecturerExercise.coursefullname"
                [icon]="lecturerExercise.hasDefinedSteps? 'arrow-right' : 'add'"
                [clickable]="true"
                (isClicked)="navigateToLecturerExercise(lecturerExercise.id, lecturerExercise.hasDefinedSteps)"
            ></ui-divider>
        </ng-container>
        <ng-container *ngIf="local.studentExercises">
            <h2 *ngIf="local.studentExercises.length > 0">
                {{'home.student' | translate}}
            </h2>        
        </ng-container>
        <ng-container
            *ngFor="let studentExercise of local.studentExercises"
        >
            <ui-divider
                [topInfoText]="('home.submission-until'|translate) + ((studentExercise.duedate*1000)  | date: 'dd.MM.yyyy') + ('home.submission-at'|translate) + ((studentExercise.duedate*1000)  | date: 'hh:mm') + ('home.submission-clock'|translate)"
                [centerInfoText]="studentExercise.name"
                [bottomInfoText]="studentExercise.coursefullname"
                [icon]="'arrow-right'"
                [clickable]="true"
                (isClicked)="navigateToStudentExercise(studentExercise.id)"
            ></ui-divider>
        </ng-container>
        <ng-container *ngIf="local.studentExercises && local.lecturerExercises">
            <span *ngIf="(local.studentExercises.length === 0) && (local.lecturerExercises.length === 0)">
                {{'home.no-exercises' | translate}}
            </span>            
        </ng-container>
    </div>
</ng-container>
<ui-loading-overlay
    *ngIf="loading$ | async"
></ui-loading-overlay>
